using System;
using System.Collections.Generic;
using System.Text;

namespace Evolution.Business.Specifications
{
    public interface ISpecification<TCandidate>
    {
        bool IsSatisfiedBy(TCandidate candidate);
        bool HasBeenAdded { get; set;}
    }

    public interface ISpecification
    {
        bool IsSatisfiedBy(object candidate);
    }
}
